Name:           Hermes
Version:        1.3.3
Release:	9%{?dist}

Summary:        Pixel format conversion library

Group:          System Environment/Libraries
License:        LGPL
URL:            http://clanlib.org/hermes/
Source:         http://clanlib.org/download/files/%{name}-%{version}.tar.bz2
Patch:          Hermes.gcc4.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# we need depcomp, it's symlinked instead of copied
BuildRequires:  automake
# sigh, it's in maintainer mode
BuildRequires:  autoconf

%description
HERMES is a library designed to convert a source buffer with a specified pixel
format to a destination buffer with possibly a different format at the maximum
possible speed.

On x86 and MMX architectures, handwritten assembler routines are taking over
the job and doing it lightning fast.

On top of that, HERMES provides fast surface clearing, stretching and some
dithering. Supported platforms are basically all that have an ANSI C compiler
as there is no platform specific code but those are supported: DOS, Win32
(Visual C), Linux, FreeBSD (IRIX, Solaris are on hold at the moment), some BeOS
support.

%package        devel
Summary:        Static libraries and header files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the static libraries and header files
needed for development with %{name}.

%prep
%setup -q
%patch -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog FAQ NEWS README TODO*
%{_libdir}/libHermes.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/api/*.htm docs/api/*.txt docs/api/api.ps
%dir %{_includedir}/Hermes
%{_includedir}/Hermes/*.h
%{_libdir}/libHermes.a
%{_libdir}/libHermes.so

%changelog
* Thu Jun 16 2005 Thomas Vander Stichele <thomas at apestaart dot org> - 1.3.3-9
- add a patch for gcc4

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.3.3-8
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Dec 04 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:1.3.3-0.fdr.6: remove commented parts from scriplets

* Sun Sep 07 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:1.3.3-0.fdr.5: put back epochs, change download URL

* Fri Jul 18 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.3.3-0.fdr.4: remove epoch business

* Sat Jul 05 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:1.3.3-0.fdr.3: merged spec files

* Sat May 10 2003 Dams <anvil[AT]livna.org> 0:1.3.3-0.fdr.2
- buildroot -> RPM_BUILD_ROOT
- use tar.bz2 instead of tar.gz
